Bug 209195 - kadu-amarok useless on some archs
kadu-amarok useless on some archs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kadu (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 16:11 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.0-0.15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-10 13:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't build -amarok on archs that have no amarok (610 bytes, patch)
2006-10-03 16:11 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2006-10-03 16:11:35 EDT
As amarok is not currently shipped for x86_64, kadu-amarok is useless for it 
too.  Attached is a quick patch that disables building it on archs that amarok 
is not currently buildable for - list of archs grabbed from the amarok 
package.
Comment 1 Ville Skyttä 2006-10-03 16:11:35 EDT
Created attachment 137693 [details]
Don't build -amarok on archs that have no amarok
Comment 2 Ville Skyttä 2006-10-04 12:28:27 EDT
The useless kadu-amarok subpackage has been removed from the devel package 
repository (not CVS).  Please make sure to disable it before the next build.
Comment 3 Ville Skyttä 2006-10-04 12:29:20 EDT
Forgot to note that the subpackage has been removed only from the x86_64 
repository, it's still in the others.
Comment 4 Michał Bentkowski 2006-10-08 05:48:25 EDT
Fixed in actual release.
Closing it.
Comment 5 Ville Skyttä 2006-10-08 14:09:35 EDT
Even though the fix applied in 0.5.0-0.14 seems to work, it looks very strange 
to me - I can't say offhand why it works in the first place, and it doesn't 
actually disable building the amarok stuff, it just %ghosts the files which 
means they're probably still included in some filelists.  The suggested fix in 
comment 1 would have been cleaner and easier to understand at least to me...

Anyway that's not the real reason why I'm reopening this bug.  The bigger one 
is that this needs fixing in FC5 too now, amarok got the excludearchs there 
too.
Comment 6 Michał Bentkowski 2006-10-09 17:12:55 EDT
(In reply to comment #5)
> Even though the fix applied in 0.5.0-0.14 seems to work, it looks very 
strange 
> to me - I can't say offhand why it works in the first place, and it doesn't 
> actually disable building the amarok stuff, it just %ghosts the files which 
> means they're probably still included in some filelists.  The suggested fix 
in 
> comment 1 would have been cleaner and easier to understand at least to me...

Before I'll make that fix to FC5 branch I have to explain why have I used
%ghost macro. Well, comment 1 fix caused a build system error:
RPM build errors:
   Installed (but unpackaged) file(s) found:
  /usr/lib64/kadu/modules/amarok.so
  /usr/share/kadu/modules/amarok.desc
  /usr/share/kadu/modules/data/amarok/amarok.png
  /usr/share/kadu/modules/translations/amarok_de.qm
  /usr/share/kadu/modules/translations/amarok_pl.qm

so I had to find the best way to make it working. Using of %ghost macro works
well and doesn't cause any rpmbuild error. As you see, I tried to fix these
errors a lot of times (just have a look on changelog) and that way looks the
best for me. If you have any other ideas, feel free to write it here.
Comment 7 Ville Skyttä 2006-10-09 18:19:39 EDT
(In reply to comment #6)
> Before I'll make that fix to FC5 branch I have to explain why have I used
> %ghost macro. Well, comment 1 fix caused a build system error:

Note that you seem to have tried the patch in comment 1 only partially, 
compare these:

Submitted one:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=137693
Tried one:
http://cvs.fedora.redhat.com/viewcvs/devel/kadu/kadu.spec?root=extras&r1=1.6&r2=1.7&makepatch=1&diff_format=h

The change you tried does not contain this change:

  +%ifnarch ppc64 x86_64 s390 s390x ia64
   	module_amarok \
  +%endif

I test-compiled the patch in comment 1 on x86_64 before submitting, it worked 
here as expected.
Comment 8 Michał Bentkowski 2006-10-10 13:32:01 EDT
You're obviously right - that was my fault.
Now it's fixed in your way.

Note You need to log in before you can comment on or make changes to this bug.